<?php

namespace App\Filament\Guest\Pages;

use Filament\Forms\Components\Placeholder;
use Filament\Forms\Components\Section;
use Filament\Pages\Page;
use Illuminate\Support\HtmlString;

class Digitizing extends Page
{
    protected static ?string $navigationIcon = 'heroicon-o-document-text';

    protected static ?int $navigationSort = -1;

    protected static string $view = 'filament.guest.pages.digitizing';

    protected function getFormSchema(): array
    {
        return [
            Section::make()
                ->schema([
                    Placeholder::make('digitizingContent')
                        ->hiddenLabel()
                        ->content(new HtmlString('<p class="w-3/4">
                            <b>Overview</b>
                            <br>
                            <ul class="list-disc">
                            <li>Digitizing is the process of converting an artwork/picture into instructions an embroidery machine can understand.</li>
                            <br>
                            <li>The quality of digitizing plays a very important role in the final embroidery quality.</li>
                            <br>
                            <li>We have our own digitizing expert working in the shop, so digitizing files can be adjusted according to fabric, placement, and colors.</li>
                            <br>
                            <li>We always digitize by ourselves.</li>
                            </ul>
                            </p>')),
                ])
                ->columns(2)
                ->columnSpan(1),
        ];
    }
}
